@font-face {
    font-family: "Montserrat";
    font-weight: 500;
    font-style: normal;
    font-display: swap;
    src: url("../fonts/Montserrat-Medium-cleaned.woff2") format("woff2"),
    url("../fonts/Montserrat-Medium-cleaned.woff") format("woff");
}
@font-face {
    font-family: "Montserrat";
    font-weight: 700;
    font-style: normal;
    font-display: swap;
    src: url("../fonts/Montserrat-Bold.woff2") format("woff2"),
    url("../fonts/Montserrat-Bold.woff") format("woff");
}
@font-face {
    font-family: "Songers";
    font-weight: 800;
    font-style: normal;
    font-display: swap;
    src: url("../fonts/SONGERSemiExpanded-ExtraBold-cleaned.woff2") format("woff2"),
    url("../fonts/SONGERSemiExpanded-ExtraBold-cleaned.woff") format("woff");
}

:root {
    --html-min-width: 321px;
    --html-max-width: 1920px;
    --html-mobile-edge-offset: 10px;
    --container: 1200px;
    --color-1: #fff;
    --color-2: #000;
    --color-3: #c8996b;
    --color-4: #e2ae7b;
    --color-5: #ebc8a0;
    --btn-1: #fff;
    --btn-2: #000;
    --btn-3: #f4f2ed;
    --btn-4: #cecece;
    --btn-5: #b4b4b4;
    --error: red;
    --bg-1: #fff;
    --bg-2: #000;
    --bg-3: #272727;
    --bg-4: #c8996b;
    --bg-5: #f1b279;
    --bg-6: #97704b;
    --bg-7: #d2ad84;
    --bg-9: #3a3e41;
    --bg-10: #3d3d3d;
    --bg-11: #e0bb92;
    --bg-12: #d7e0e4;
    --bg-13: #31343c;
    --bg-14: #efdcc6;
    --bg-15: #f2d8bc;
    --font-family: "Montserrat",sans-serif;
    --font-family-title: "Songers",sans-serif;
    --font-size-small-maxi: 12px;
    --font-size-medium: 16px;
    --font-size-medium-semi: 18px;
    --font-size-medium-maxi: 20px;
    --font-size-large-mini: 22px;
    --font-size-large: 24px;
    --font-size-big-mini: 28px;
    --font-size-big-semi: 32px;
    --font-size-huge: 36px;
    --font-size-giant: 44px;
    --font-size-main-title: 54px;
    --swiper-theme-color: #007aff;

    --transition-settings: 150ms ease;

    --white: #fff;
    --black: #000;
    --gray-100: #a9a9a9;
    --gray-200: #858c94;
    --red-100: #da1414;
}
* {
    box-sizing: border-box;
}
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}
body, html {
    height: 100%;
    margin: 0;
}
body {
    background-color: var(--bg-2);
    color: var(--color-1);
    font-family: var(--font-family);
    font-weight: 500;
    line-height: 125%;
    overflow-x: hidden;
    position: relative;
    width: 100%;
}
h1, h2, h3, h4, h5{
    margin: 0;
    font-family: var(--font-family-title);
    font-weight: 800;
}
p, dl, dt, dd {
    margin: 0;
}
a {
    color: currentColor;
    text-decoration: none;
}
button {
    padding: 0;
    border: none;
    background: none;
    cursor: pointer;
}

.container {
    max-width: var(--container);
    margin: 0 auto;
}

.message {
    margin: 0 0 15px;
    background: #7c7c7c;
    color: #ffffff;
    padding: 15px;
    border-radius: 8px;
    text-align: center;
    font-size: var(--font-size-medium);
}
.message.error {
    background: #F44336;
}

.warning {
    max-width: 600px;
    margin: 10px auto;
    background: #FFEB3B;
    border-radius: 4px;
    color: #000;
    padding: 10px;
}


.h1 {
    font-family: var(--font-family);
    font-size: var(--font-size-large);
    line-height: 29px;

    background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-image: linear-gradient(270deg,#c79d75 1.98%,#f7e4bb 47.22%,#c8996b 97.43%);
    color: var(--color-3);
}

.control {
    display: grid;
    grid-gap: 8px;
}
.control__label {
    font-size: 12px;
    line-height: 24px;
    color: var(--gray-100);
}
.control_required .control__label::after {
    display: inline-block;
    margin-left: 2px;
    content: "*";
    color: var(--red-100);
    vertical-align: top;
    position: relative;
    top: -2px
}
.control__input {
    padding: 12px 15px;
    border: 1px solid var(--gray-200);
    background: transparent;
    border-radius: 8px;
    outline: none;

    color: var(--white);
    font-size: 14px;
    line-height: 24px;

    transition: border-color var(--transition-settings);
}
.control__input:focus {
    background: #131313;
    border-color: var(--white);
}

.checkbox {
    display: grid;
    grid-auto-flow: column;
    justify-content: start;
    align-items: center;
    grid-gap: 8px;
    cursor: pointer;
}
.checkbox__input {
    width: 20px;
    height: 20px;
    accent-color: var(--color-3);
    margin: 0;
}
.checkbox__label {
    font-size: 14px;
    line-height: 20px;
}

.button {
    min-width: 260px;
    padding: 13px 16px;
    border: 1px solid var(--white);
    border-radius: 40px;
    background: var(--white);

    color: var(--black);
    font-size: 18px;
    line-height: 22px;

    transition: color var(--transition-settings), border-color var(--transition-settings), background-color var(--transition-settings);
    cursor: pointer;
}
.button:hover {
    border-color: #e9e7e7;
    background-color: #e9e7e7;
}
.button_outline {
    color: var(--white);
    background-color: transparent;
}
.button_outline:hover {
    color: var(--black);
    background-color: var(--white);
}

.wrapper {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;

}

.header {
    padding: 16px 16px 0;
    display: flex;
    align-content: center;
    justify-content: center;
}
.header .logo img {
    width: 118px;
    height: 40px;
}

.contacts {
    display: grid;
    justify-items: end;
    grid-gap: 4px;
    font-size: 12px;
    line-height: 16px;
}
.contacts .phone {
    display: grid;
    grid-auto-flow: column;
    justify-content: start;
    align-items: center;
    grid-gap: 4px;
    text-decoration: none;
}
.contacts .phone svg {
    width: 16px;
    height: 16px;
}
.contacts .phone span {
    font-weight: bold;

    color: #c79d75;
    display: block;
    cursor: pointer;
}

.main {
    margin: 32px 0;
    padding: 0 16px;
}
.main__content {
    width: 100%;
    max-width: 320px;
    margin: 0 auto;
}
.main__heading {
    text-align: center;
    margin-bottom: 24px;
}
.main__heading_auth {
    margin-bottom: 24px;
}
.main__heading_invoice {
    margin-bottom: 12px;
}


.authForm {
    display: grid;
    grid-gap: 16px;
}
.authForm__message {
    margin: 0;
}

.invoice {
    text-align: center;
}
.invoice__contract {
    font-size: 14px;
    line-height: 24px;
    margin-bottom: 32px;
}
.invoice__heading {
    font-weight: bold;
    font-size: 20px;
    line-height: 24px;
    margin-bottom: 12px;
}
.invoice__text {
    line-height: 20px;
    margin-bottom: 24px;
}
.invoice__actions {
    display: grid;
    grid-gap: 16px;
    margin-bottom: 16px;
}
.invoice__button {
    width: 100%;
    display: grid;
    grid-gap: 16px;
}
.invoice__leave {
    display: grid;
    grid-auto-flow: column;
    justify-content: center;
    justify-items: center;
    align-items: center;
    grid-gap: 2px;
}
.invoice__leave-icon {
    width: 20px;
    height: 20px;
}
.invoice__leave-text {
    font-size: 14px;
    line-height: 24px;
}

.requisites {
    display: none;

    background: var(--black);
    position: fixed;
    inset: 0;
}
.requisites__content {
    height: 100%;
    padding: 40px 16px;
    position: relative;
    overflow-y: auto;
}
.requisites__content::-webkit-scrollbar {
    width: 8px;
    background-color: transparent;
}
.requisites__content::-webkit-scrollbar-track {
    border-width: 0;
}
.requisites__content::-webkit-scrollbar-thumb {
    border-radius: 6px;
    background-color: var(--color-3);
}
.requisites__close {
    display: grid;
    place-items: center;
    background: none;
    border: none;

    position: absolute;
    top: 8px;
    right: 8px;
}
.requisites__close-icon {
    width: 30px;
    height: 30px;
}
.requisites__heading {
    text-align: center;
    margin-bottom: 24px;
}
.requisites__list {
    display: grid;
    grid-gap: 16px;
}
.requisites__item {
    display: grid;
    grid-gap: 8px;
}
.requisites__item-label {
    color: var(--gray-100);
    font-size: 12px;
    line-height: 24px;
}
.requisites__item-value {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;

    padding: 12px 4px 12px 15px;
    border: 1px solid var(--gray-200);
    border-radius: 8px;
    background: #131313;
}
.requisites__item-text {
    font-size: 14px;
    line-height: 24px;
}
.requisites__item-copy {
    display: grid;
    place-items: center;
    padding: 8px;
    border-radius: 4px;
}
.requisites__item-icon {
    width: 16px;
    height: 16px;
}

.footer {
    padding: 10px;
    background: var(--bg-3);
    display: flex;
    align-content: center;
    justify-content: center;
}

.row{
    display: flex;
    flex-wrap: wrap;
}
.row.rowCenter{
    align-items: center;
    justify-content: center;
}
.rowCenterSpace{
    align-items: center;
    justify-content: space-between;
    width: 100%;
}



/*.title-h2 {
    font-size: var(--font-size-giant);
    line-height: 135%;
}*/
/*.title_gradient {
    -webkit-text-fill-color: transparent;
    background-clip: text;
    -webkit-background-clip: text;
    background-image: linear-gradient(270deg,#c79d75 1.98%,#f7e4bb 47.22%,#c8996b 97.43%);
    color: var(--color-3);
    line-height: 100%;
}*/

/*.screenCenter {
    width: 100%;
    height: 100%;
    text-align: center;
    padding: 125px 10px;
}*/
/*form {
    display: flex;
    flex-direction: column;
    max-width: 100%;
    width: 340px;
    margin: 20px auto;
}*/
/*form > label{
    margin-bottom: 4px;
}*/
/*form input{
    text-align: center;
    padding: 5px;
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 5px;
    border: none;
    border-radius: 8px;
    height: 40px;
}*/
/*form button[type="submit"], .toggleRequisites {
    align-items: center;
    border: 0;
    border-radius: 8px;
    cursor: pointer;
    display: inline-flex;
    font-size: var(--font-size-medium-semi);
    font-weight: 500;
    height: 50px;
    justify-content: center;
    line-height: 100%;
    padding: 8px 6px 6px;
    text-transform: uppercase;
    transition: background-color .2s ease,border-color .2s ease,color .2s ease;
    white-space: nowrap;
    background-color: #be953c;
    color: #000;
    overflow: hidden;
    position: relative;
    width: 100%;
    max-width: 350px;
}*/
/*.toggleRequisites{
    background-color: #8f8f8f;
    margin: 20px auto;
}*/
/*form button[type="submit"]:hover, form button[type="submit"]:active, .toggleRequisites:hover {
    background-color: var(--bg-5);
}*/

/*.text {
    margin: 15px auto;
    width: 600px;
    max-width: 100%;
    color: #e7e7e7;
    font-size: var(--font-size-medium);
}*/
/*.fio {
    margin: 20px auto;
    font-size: var(--font-size-large-mini);
}*/
/*.contract {
    font-size: 14px;
    color: #a9a9a9;
}*/


/*.leave{
    color: #bfbfbf;
    text-decoration: none;
    margin: 5px 0;
    display: block;
    cursor: pointer;
    font-size: 14px;
}*/

.checkboxHolder{
    display: flex;
    align-items: center;
    cursor: pointer!important;
    margin: 10px 0;
}
.checkboxHolder label{
    cursor: pointer;
}
.checkboxHolder input[type="checkbox"]{
    width: 25px;
    height: 25px;
    margin-right: 10px;
}


/*.hidden {
    display: none;
}*/

/*.requisites{
    max-width: 450px;
    width: 100%;
    margin: 10px auto;
}*/
/*.label {
    margin-bottom: 20px;
}*/
/*.label > span{
    text-align: left;
    font-size: 14px;
    display: block;
    margin-bottom: 3px;
}*/
/*.label > .value{
    display: flex;
    width: 100%;
    align-items: stretch;
    justify-content: center;
    gap: 10px;
}*/
/*.label > .value > span {
    background: #414141;
    border-radius: 4px;
    width: 100%;
    text-align: left;
    font-size: 15px;
    padding: 10px;
}*/
/*.copyBtn {
    background: #f1b279;
    color: #272727;
    border: 0;
    border-radius: 4px;
    padding: 5px 10px;
    cursor: pointer;
    font-weight: 500;
}*/
.highlight {
    background-color: #4caf50;
    color: white;
    animation: highlightAnimation 0.5s ease-in-out;
}

@keyframes highlightAnimation {
    0% {
        background-color: var(--color-3);
    }
    50% {
        background-color: var(--color-5);
    }
    100% {
        background-color: var(--color-3);
    }
}

@media all and (max-width: var(--container)){
    .container {
        max-width: 100%;
    }
}

@media all and (min-width: 1232px) {
    .h1 {
        font-size: var(--font-size-big-semi);
        line-height: 39px;
    }

    .wrapper_auth {
        background: url("/assets/img/auth-bg-1920.jpg") center top no-repeat;
    }
    .wrapper_invoice {
        background: url("/assets/img/invoice-bg-1920.jpg") center top no-repeat;
    }

    .header {
        padding: 20px 0 0;
    }
    .header .logo img {
        width: 311px;
        height: 106px;
    }
    .contacts {
        grid-gap: 12px;
        font-size: 20px;
        line-height: 24px;
    }
    .contacts .phone {
        grid-gap: 6px;
    }
    .contacts .phone svg {
        width: 24px;
        height: 24px;
    }
    .main {
        padding: 0;
        margin: 75px 0 0;
    }
    .main__content {
        max-width: 610px;
        padding: 70px;
        border-radius: 40px;
        background: #000;
        margin: 0;
    }
    .main__content_auth {
        padding: 84px 144px;
    }
    .main__heading_auth {
        margin-bottom: 32px;
    }

    .authForm__submit {
        margin-top: 8px;
    }

    .invoice__contract {
        margin-bottom: 40px;
    }
    .invoice__heading {
        font-size: 24px;
        line-height: 29px;
        margin-bottom: 16px;
    }
    .invoice__text {
        margin-bottom: 32px;
    }
    .invoice__actions {
        grid-gap: 24px;
        max-width: 310px;
        margin: 0 auto 32px;
    }

    .requisites {
        background: transparent;
    }
    .requisites__overlay {
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.75);
        position: relative;
        z-index: -1;
    }

    .requisites__content {
        width: 900px;
        height: 700px;
        padding: 70px 100px;
        background: var(--black);
        border-radius: 40px;
        margin: 0 auto;

        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}
@media all and (min-width: 1632px) {
    :root {
        --container: 1600px;
    }
}
